#include <stdio.h>
#include <pthread.h>
#include <semaphore.h>

sem_t bin_sem;
int main()
{
	pthread_t a_thread;
	
	sem_init(&bin_sem, 1, 1);
	

	sem_destroy(&bin_sem);

	printf("Everything OK!!\n");
	exit(1);
}
